> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Billing Settings

> Update Billing Settings



## OpenAPI

````yaml openapi/ecommerce.yaml patch /public/{user_id}/billing-settings
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/billing-settings:
    patch:
      tags:
        - Subscription
      summary: Update Billing Settings
      description: Update Billing Settings
      operationId: updateBillingSettings
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: qui
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                billing_anchor_day:
                  type: string
                  description: ''
                  nullable: true
                  example: null
            example:
              billing_anchor_day: null
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 459a7130-efd2-36ad-b0f5-9100c1c35308
                      billing_anchor_day:
                        type: integer
                        example: 21
                example:
                  data:
                    uuid: 459a7130-efd2-36ad-b0f5-9100c1c35308
                    billing_anchor_day: 21
              example:
                data:
                  uuid: 459a7130-efd2-36ad-b0f5-9100c1c35308
                  billing_anchor_day: 21
        '201':
          description: Successfully created and updated
          content:
            application/json:
              schema:
                type: object
                nullable: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````